* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

body {
    background-color: #C80000;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

.container, .messageBox {
    width: 90%;
    padding: 20px;
    background-color: #C80000;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
    text-align: center;
    margin-bottom: 1.5em;
    margin-top: 1em;
}

.message {
    background-color: #C80000;
    color:#FFD700;
}

#mainDiv {
    display: flex;
    flex-direction: column;
    gap: 15px;    
}

label {
    text-align: right;
    font-size: 16px;
    font-weight: 800;
}

input, select {
    padding: 12px;
    padding-left: 0;
    padding-right: 0;
    font-size: 16px;
    border-radius: 5px;
    border: none;
    text-align: right;
    direction: rtl;
}

.input-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    width: 100%;
}

input.qrValue {    
    margin: 0;
    flex: 1;
    max-width: 17%;
    direction: ltr;
    text-align: center;
}

input.last {        
    max-width: 14%;
}

button {
    padding: 8px;
    font-size: 20px;
    font-weight: bold;
    color: #C80000;
    background-color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
    margin-top: 20px;
    cursor: pointer;
}

button:hover {
    background-color: #FFD700;
}

.terms {
    margin-top: 20px;
    font-size: 14px;
    font-weight: bold;
}

#loader {
    display: none;
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-left: 4px solid #FFD700;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
    margin: 20px auto;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}